| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iShadowCaster Struct Reference
[Lighting]

An object that can cast shadows. More...

`#include <iengine/shadcast.h>`

Inheritance diagram for iShadowCaster:

[legend]
List of all members.

## Public Member Functions
virtual void | AppendShadows (iMovable *movable, iShadowBlockList *shadows, const csVector3 &origin)=0
| Append a list of shadow frustums which extend from this shadow caster.

## Detailed Description

An object that can cast shadows.

An object implementing this interface also implements iVisibilityObject so that it can be registered with a visibility culler.

Definition at line 43 of file shadcast.h.

## Member Function Documentation

virtual void iShadowCaster::AppendShadows | ( | iMovable * | movable,
|  | iShadowBlockList * | shadows,
|  | const csVector3 & | origin |
| ) |  |  | `[pure virtual]`

Append a list of shadow frustums which extend from this shadow caster.

The origin is the position of the light.

The documentation for this struct was generated from the following file:

- iengine/shadcast.h